Swift 3.0 de plus en plus incompatible avec Swift 2.2

DéveloppeursEditeurs de logicielsLogicielsOpen SourceProjets
5 4 Donnez votre avis

Le langage de programmation d’Apple, Swift, progresse vers la v3. Une mouture qui propose de multiples changements, lesquels rendent le code Swift 2 incompatible avec Swift 3.

Apple a récemment livré une nouvelle version de test de son langage de programmation Swift 3.0. Une solution Open Source accessible sous OS X (via l’environnement de développement Xcode), mais aussi pour les OS Linux Ubuntu 14.04 et 15.10. La mouture définitive de cette offre devrait être livrée plus tard dans l’année, mais probablement pas lors de la conférence WWDC 2016 d’Apple, qui se rapproche à grands pas.

C’est avec prudence qu’il faudra utiliser cette version de développement de Swift. Elle casse en effet la compatibilité avec la mouture 2.2 du langage au fur et à mesure de sa mise au point. Les appels de fonctions, les énumérations et les propriétés devront ainsi être modifiés avec cette nouvelle version.

Un Swift future proof ?

Une erreur sur le dépôt hébergeant le code source de Swift pouvait laisser à penser que les fonctionnalités de cette offre étaient maintenant figées. Apple confirme toutefois que ce n’est pas le cas et que le développement de Swift 3.0 se poursuit encore.

La stabilisation des éléments de langage de Swift devrait toutefois être achevée avec la 3.0. Les développeurs espèrent en effet que le code conçu pour Swift 3.0 sera compatible – dans la majorité des cas – avec toutes les moutures ultérieures de Swift 3, mais aussi de Swift 4 et plus.

À lire aussi :
IBM place Swift d’Apple sur le Cloud et titille AWS Lambda
Programmation : Apple libère le code source de Swift
Avec Swift, Apple veut révolutionner la programmation iOS et OS X

Crédit photo : © McIek – Shutterstock

Lire la biographie de l´auteur  Masquer la biographie de l´auteur